<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Charts/AxiomTypesDistribution.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Charts/AxiomTypesDistribution.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from "react";
import { BarChart, Bar, XAxis, YAxis, CartesianGrid, Tooltip } from "recharts";

/**
 * Creates axiom types distribution chart
 *
 * @param {Object} props - includes data to create chart from
 * @returns created chart
 * @component
 * @name AxiomTypesDistribution
 */
export default function AxiomTypesDistribution(props) {
  const data = [
    {
      name: "axDisjoint",
      number: props.data.filter((item) => item.axDisjoint > 0).length,
    },
    {
      name: "axDisjointUnion",
      number: props.data.filter((item) => item.axDisjointUnion > 0).length,
    },
    {
      name: "axDifferent",
      number: props.data.filter((item) => item.axDifferent > 0).length,
    },
    {
      name: "axTransitiveProperty",
      number: props.data.filter((item) => item.axTransitiveProperty > 0).length,
    },
    {
      name: "axSymmetricProperty",
      number: props.data.filter((item) => item.axSymmetricProperty > 0).length,
    },
    {
      name: "axFunctionalDProperty",
      number: props.data.filter((item) => item.axFunctionalDProperty > 0)
        .length,
    },
    {
      name: "axFunctionalOProperty",
      number: props.data.filter((item) => item.axFunctionalOProperty > 0)
        .length,
    },
    {
      name: "axEquivalentClasses",
      number: props.data.filter((item) => item.axEquivalentClasses > 0).length,
    },
    {
      name: "axInverseOProperties",
      number: props.data.filter((item) => item.axInverseOProperties > 0).length,
    },
    {
      name: "axInverseFunctionalOProperties",
      number: props.data.filter(
        (item) => item.axInverseFunctionalOProperties > 0
      ).length,
    },
    {
      name: "axSame",
      number: props.data.filter((item) => item.axSame > 0).length,
    },
    {
      name: "axAnnotationAssertion",
      number: props.data.filter((item) => item.axAnnotationAssertion > 0)
        .length,
    },
    {
      name: "axClassAssertion",
      number: props.data.filter((item) => item.axClassAssertion > 0).length,
    },
    {
      name: "axEquivalentDataProperties",
      number: props.data.filter((item) => item.axEquivalentDataProperties > 0)
        .length,
    },
    {
      name: "axEquivalentObjectProperties",
      number: props.data.filter((item) => item.axEquivalentObjectProperties > 0)
        .length,
    },
    {
      name: "axDataPropertyDomain",
      number: props.data.filter((item) => item.axDataPropertyDomain > 0).length,
    },
    {
      name: "axDataPropertyRange",
      number: props.data.filter((item) => item.axDataPropertyRange > 0).length,
    },
    {
      name: "axObjectPropertyDomain",
      number: props.data.filter((item) => item.axObjectPropertyDomain > 0)
        .length,
    },
    {
      name: "axObjectPropertyRange",
      number: props.data.filter((item) => item.axObjectPropertyRange > 0)
        .length,
    },
    {
      name: "axDataPropertyAssertion",
      number: props.data.filter((item) => item.axDataPropertyAssertion > 0)
        .length,
    },
    {
      name: "axObjectPropertyAssertion",
      number: props.data.filter((item) => item.axObjectPropertyAssertion > 0)
        .length,
    },
    {
      name: "axSubDataProperty",
      number: props.data.filter((item) => item.axSubDataProperty > 0).length,
    },
    {
      name: "axSubObjectProperty",
      number: props.data.filter((item) => item.axSubObjectProperty > 0).length,
    },
    {
      name: "axSubClassOf",
      number: props.data.filter((item) => item.axSubClassOf > 0).length,
    },
  ];

  return (
    &lt;>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        &lt;h3 style={{ marginTop: 0, padding: 0 }}>Axiom types distribution&lt;/h3>
        &lt;h4>X axis:Axiom types&lt;/h4>
        &lt;h4>Y axis:number of ontologies&lt;/h4>
      &lt;/div>
      &lt;BarChart
        width={800}
        height={400}
        data={data}
        margin={{
          top: 5,
          right: 30,
          left: 20,
          bottom: 110,
        }}
      >
        &lt;CartesianGrid strokeDasharray="3 3" />
        &lt;XAxis
          dataKey="name"
          angle={-45}
          interval={0}
          dy={0}
          fontSize="12px"
          textAnchor="end"
        />
        &lt;YAxis />
        &lt;Tooltip />
        &lt;Bar dataKey="number" fill="#82ca9d" />
      &lt;/BarChart>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        Legend:
        &lt;ul>
          &lt;li>axEquivalentClasses=Number of equivalent classes axioms.&lt;/li>
          &lt;li>axDisjoint=Number of disjoint classes axioms.&lt;/li>
          &lt;li>
            axDisjointUnion=Number of axioms of union of classes, all of which
            are pairwise disjoint.
          &lt;/li>
          &lt;li>axClassAssertion=Number of class assertions axioms.&lt;/li>
          &lt;li>axDifferent=Number of DifferentIndividuals axioms.&lt;/li>
          &lt;li>axSame=Number of SameAs axioms.&lt;/li>
          &lt;li>
            axTransitiveProperty=Number of properties with transitive
            characteristics.
          &lt;/li>
          &lt;li>
            axSymmetricProperty=Number of properties with symmetric
            characteristics.
          &lt;/li>
          &lt;li>
            axFunctionalDProperty=Number of datatype properties with functional
            characteristics.
          &lt;/li>
          &lt;li>
            axFunctionalOProperty=Number of object properties with functional
            characteristics.
          &lt;/li>
          &lt;li>
            axInverseOProperties=Number of object properties with inverse
            characteristics.
          &lt;/li>
          &lt;li>
            axInverseFunctionalOProperties=Number of object properties with
            inverse functional characteristics.
          &lt;/li>
          &lt;li>
            axEquivalentDataProperties=Number of equivalent datatype properties
            axioms.
          &lt;/li>
          &lt;li>
            axEquivalentObjectProperties=Number of equivalent object properties
            axioms.
          &lt;/li>
          &lt;li>
            axDataPropertyDomain=Number of datatype properties with domain
            definition.
          &lt;/li>
          &lt;li>
            axDataPropertyRange=Number of datatype properties with range
            definition.
          &lt;/li>
          &lt;li>
            axObjectPropertyDomain=Number of object properties with domain
            definition.
          &lt;/li>
          &lt;li>
            axObjectPropertyRange=Number of object properties with range
            definition.
          &lt;/li>
          &lt;li>
            axDataPropertyAssertion=Number of data property assertion axioms.
          &lt;/li>
          &lt;li>
            axObjectPropertyAssertion=Number of object property assertion
            axioms.
          &lt;/li>
          &lt;li>axSubDataProperty=Number of data property subsumption axioms.&lt;/li>
          &lt;li>
            axSubObjectProperty=Number of object property subsumption axioms.
          &lt;/li>
          &lt;li>axSubClassOf=Number of class subsumption axioms.&lt;/li>
        &lt;/ul>
      &lt;/div>
    &lt;/>
  );
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
